Loading...
Searching...
No Matches
ranges::views::for_each_base_fn Struct Reference

Lazily applies an unary function to each element in the source range that returns another range (possibly empty), flattening the result. More...

`#include <range/v3/view/for_each.hpp>`

Inheritance diagram for ranges::views::for_each_base_fn:

## Public Member Functions

template<typename Rng , typename Fun > requires viewable_range<Rng> && transformable_range<Rng, Fun> && joinable_range<transform_view<all_t<Rng>, Fun>>
constexpr auto | operator() (Rng &&rng, Fun fun) const

## Detailed Description

Lazily applies an unary function to each element in the source range that returns another range (possibly empty), flattening the result.